> This page is for Платформа, version Версия 4 экспериментальная.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - Версия 4 экспериментальная: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - Предыдущая версия: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# Создать общий ресурс

POST https://api.frame.io/v4/accounts/{account_id}/projects/{project_id}/shares
Content-Type: application/json

Create a share. Rate Limits: 10 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/api-reference/shares/create

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `project_id` (string, required)

### Headers

- `api-version` (enum, required)
  - Allowed values: `experimental`

### Body (application/json)

This endpoint expects a CreateShareParams.

- `data` (CreateShareParamsData, required)

## Response

### 201

Created

- `data` (ExperimentalShare, required)

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### CreateShareParamsData

- `type`: `asset` (AssetShareParams)
  - `access` (enum, required)
    - Allowed values: `public`, `secure`
  - `name` (string, required) — Share Name (must include at least one non-whitespace character and no line breaks)
  - `accent_color` (string, optional, nullable) — Hex code for accent color
  - `asset_ids` (list of string, optional) — Asset IDs (File, folder, and/or version stack IDs).
  - `captions_enabled` (boolean, optional, nullable) — Whether reviewers can view captions on shared assets
  - `card_aspect_ratio` (enum, optional) — Aspect ratio of cards. Applies to layouts: grid, reel.
    - Allowed values: `horizontal`, `square`, `vertical`
  - `card_info_enabled` (boolean, optional) — Whether to show card info (metadata) on cards when layout is grid
  - `card_size` (enum, optional) — Relative size of cards when layout is grid
    - Allowed values: `small`, `medium`, `large`
  - `commenting_enabled` (boolean, optional) — Whether commenting is enabled on the share
  - `description` (string, optional, nullable) — Share description - NOTE: Requires feature custom_branded_shares
  - `downloading_enabled` (boolean, optional) — Whether downloading is enabled on the share
  - `drm_enabled` (boolean, optional) — Whether digital rights management is enabled on the share
  - `editable_fields_enabled` (boolean, optional) — When true, all visible non-system fields can be edited by share recipients. When false, only the featured field is editable.
  - `enabled` (boolean, optional) — Whether the share link is active
  - `expiration` (string, optional, nullable) — Expiration timestamp
  - `featured_field_definition_id` (string, optional, nullable) — ID of the field definition to set as the featured (always-editable) field for share recipients
  - `forensic_watermark_enabled` (boolean, optional) — Whether forensic watermarking is enabled on the share
  - `icons_visible_on_list` (boolean, optional) — Whether visible-field icons are shown alongside text when layout is list
  - `layout` (enum, optional) — Share layout. Required when updating appearance fields
    - Allowed values: `grid`, `list`, `reel`
  - `list_row_size` (enum, optional) — Row size when layout is list
    - Allowed values: `small`, `medium`, `large`
  - `name_column_width` (integer, optional, nullable) — Width of the name column in pixels when layout is list
  - `open_in_viewer_enabled` (boolean, optional) — Whether shares with a single asset will open in a larger view. Applies to layouts: grid, list.
  - `passphrase` (string, optional, nullable) — Passphrase to access share, if passphrase is required and not given it will be generated
  - `reel_card_aspect_ratio` (enum, optional) — Aspect ratio of cards when layout is reel
    - Allowed values: `horizontal`, `square`, `vertical`
  - `reel_card_fit_image` (boolean, optional) — Thumbnail scale when layout is reel. `true` fills the card (may crop); `false` fits the thumbnail inside the card.
  - `show_all_asset_versions` (boolean, optional, nullable) — Whether reviewers can see every version in a shared version stack (rather than only the head version)
  - `show_asset_name_in_reel_layout` (boolean, optional) — Whether the asset name is displayed when layout is reel
  - `sort_by` (CreateShareParamsDataDiscriminatorMappingAssetSortBy, optional) — Field ID and direction by which share assets will be sorted
  - `theme` (enum, optional) — Color theme
    - Allowed values: `dark`, `light`, `neutral`
  - `thumbnail_scale` (enum, optional) — Thumbnail scale. `fill` may crop; `fit` letterboxes inside the card.
    - Allowed values: `fit`, `fill`
  - `title_line_count` (integer, optional) — Number of lines for the card title (1 or 2) when layout is grid
  - `transcripts_enabled` (boolean, optional, nullable) — Whether reviewers can view transcripts on shared assets
  - `visible_field_definition_ids` (list of string, optional) — IDs of field definitions to show in the share. Applies to the share's active layout. When omitted, inherits from the project's default field visibility.
  - `watermark_enabled` (boolean, optional, nullable) — Whether watermarking is enabled on the share
  - `watermark_template_id` (string, optional, nullable) — ID of the session watermark template applied when watermarking is enabled on the share. Must belong to the share's account. When omitted or null, the workspace or account default template is used.

### ExperimentalShare

- `enabled` (boolean, required) — Whether the share link is active
- `watermark_template_id` (string, required, nullable) — ID of the session watermark template applied when watermarking is enabled on the share. Must belong to the share's account. When omitted or null, the workspace or account default template is used.
- `access` (enum, required)
  - Allowed values: `public`, `secure`
- `last_viewed_at` (string, required, nullable) — Last viewed timestamp
- `updated_at` (string, required) — Update timestamp
- `editable_fields_enabled` (boolean, required) — When true, all visible non-system fields can be edited by share recipients. When false, only the featured field is editable.
- `commenting_enabled` (boolean, required) — Whether commenting is enabled on the share
- `description` (string, required, nullable) — Share description
- `sort_by` (ExperimentalShareSortBy, required) — Field ID and direction by which share assets will be sorted
- `created_at` (string, required) — Creation timestamp
- `forensic_watermark_enabled` (boolean, required) — Whether forensic watermarking is enabled on the share
- `name` (string, required, nullable) — Share name
- `collection_id` (string, required) — Collection ID
- `short_url` (string, required, nullable) — Share URL
- `drm_enabled` (boolean, required) — Whether digital rights management is enabled on the share
- `watermark_enabled` (boolean, required, nullable) — Whether watermarking is enabled on the share
- `featured_field_definition_id` (string, required, nullable) — ID of the field definition to set as the featured (always-editable) field for share recipients
- `downloading_enabled` (boolean, required) — Whether downloading is enabled on the share
- `id` (string, required) — Share ID
- `expiration` (string, required, nullable) — Expiration timestamp
- `visible_field_definition_ids` (list of string, required) — IDs of field definitions to show in the share. Applies to the share's active layout. When omitted, inherits from the project's default field visibility.
- `card_info_enabled` (boolean, optional) — Whether to show card info (metadata) on cards when layout is grid
- `icons_visible_on_list` (boolean, optional) — Whether visible-field icons are shown alongside text when layout is list
- `theme` (enum, optional) — Color theme
  - Allowed values: `dark`, `light`, `neutral`
- `card_aspect_ratio` (enum, optional) — Aspect ratio of cards. Applies to layouts: grid, reel.
  - Allowed values: `horizontal`, `square`, `vertical`
- `passphrase` (string, optional, nullable) — Passphrase to access share, if passphrase is required and not given it will be generated
- `list_row_size` (enum, optional) — Row size when layout is list
  - Allowed values: `small`, `medium`, `large`
- `card_size` (enum, optional) — Relative size of cards when layout is grid
  - Allowed values: `small`, `medium`, `large`
- `reel_card_aspect_ratio` (enum, optional) — Aspect ratio of cards when layout is reel
  - Allowed values: `horizontal`, `square`, `vertical`
- `show_asset_name_in_reel_layout` (boolean, optional) — Whether the asset name is displayed when layout is reel
- `captions_enabled` (boolean, optional, nullable) — Whether reviewers can view captions on shared assets
- `transcripts_enabled` (boolean, optional, nullable) — Whether reviewers can view transcripts on shared assets
- `reel_card_fit_image` (boolean, optional) — Thumbnail scale when layout is reel. `true` fills the card (may crop); `false` fits the thumbnail inside the card.
- `open_in_viewer_enabled` (boolean, optional) — Whether shares with a single asset will open in a larger view. Applies to layouts: grid, list.
- `accent_color` (string, optional, nullable) — Hex code for accent color
- `layout` (enum, optional) — Share layout. Required when updating appearance fields
  - Allowed values: `grid`, `list`, `reel`
- `show_all_asset_versions` (boolean, optional, nullable) — Whether reviewers can see every version in a shared version stack (rather than only the head version)
- `name_column_width` (integer, optional, nullable) — Width of the name column in pixels when layout is list
- `thumbnail_scale` (enum, optional) — Thumbnail scale. `fill` may crop; `fit` letterboxes inside the card.
  - Allowed values: `fit`, `fill`
- `title_line_count` (integer, optional) — Number of lines for the card title (1 or 2) when layout is grid

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### CreateShareParamsDataDiscriminatorMappingAssetSortBy

Field ID and direction by which share assets will be sorted

- `direction` (enum, required)
  - Allowed values: `asc`, `desc`
- `field_definition_id` (string, required) — A UUID string that uniquely identifies a Frame.io entity.

### ExperimentalShareSortBy

Field ID and direction by which share assets will be sorted

- `direction` (enum, required)
  - Allowed values: `asc`, `desc`
- `field_definition_id` (string, required) — A UUID string that uniquely identifies a Frame.io entity.

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**Request**

```json
{
  "data": {
    "type": "asset",
    "access": "public",
    "name": "Share Name",
    "accent_color": "#FF6600",
    "asset_ids": [
      "2200ce88-4b87-4ed4-9f65-2ef27f9bc4ca",
      "b2559851-a96c-4480-a526-e9e4c8629ea2"
    ],
    "captions_enabled": true,
    "card_aspect_ratio": "square",
    "card_info_enabled": true,
    "card_size": "medium",
    "commenting_enabled": true,
    "downloading_enabled": true,
    "drm_enabled": false,
    "editable_fields_enabled": false,
    "enabled": true,
    "expiration": "2026-10-05T19:46:03.135828Z",
    "featured_field_definition_id": "27f50162-404a-42f6-b8fb-0571b806ae99",
    "forensic_watermark_enabled": false,
    "layout": "grid",
    "open_in_viewer_enabled": true,
    "passphrase": "as!dfj39sd(*",
    "show_all_asset_versions": true,
    "sort_by": {
      "direction": "asc",
      "field_definition_id": "dce1cc74-8603-455a-93ad-c4c4c2d64d6d"
    },
    "theme": "dark",
    "thumbnail_scale": "fill",
    "title_line_count": 1,
    "transcripts_enabled": true,
    "visible_field_definition_ids": [
      "5fd25dd6-5745-4da9-a9eb-ac61dee64b3f"
    ],
    "watermark_enabled": true,
    "watermark_template_id": "9fe7f42f-ccd9-446c-97d0-b36773b027b1"
  }
}
```

**Response**

```json
{
  "data": {
    "enabled": true,
    "watermark_template_id": "70c960c0-0634-4402-b42c-9c81e16c6ca7",
    "access": "public",
    "last_viewed_at": "2024-03-02T21:19:24.828948Z",
    "updated_at": "2024-02-02T21:19:24.828948Z",
    "editable_fields_enabled": false,
    "commenting_enabled": true,
    "description": "Description of share",
    "sort_by": {
      "direction": "asc",
      "field_definition_id": "4f287e7d-ae54-4986-a29d-3fafdb5d3621"
    },
    "created_at": "2024-02-02T21:19:24.828948Z",
    "forensic_watermark_enabled": false,
    "name": "Test Share",
    "collection_id": "f68c6f92-5348-4731-b039-03bd22af9a21",
    "short_url": "https://f.io/GGa9wPw5",
    "drm_enabled": false,
    "watermark_enabled": true,
    "featured_field_definition_id": "8bfaa904-29b1-4b4f-891b-03ee2461a105",
    "downloading_enabled": true,
    "id": "531cba96-b7e7-4d2e-9c67-260880c35039",
    "expiration": "2026-10-05T19:46:03.135828Z",
    "visible_field_definition_ids": [
      "1b68ed5f-a2b4-4a89-a0a1-407bc68d0ef6"
    ],
    "card_info_enabled": true,
    "icons_visible_on_list": true,
    "theme": "dark",
    "card_aspect_ratio": "square",
    "passphrase": "as!dfj39sd(*",
    "list_row_size": "small",
    "card_size": "medium",
    "reel_card_aspect_ratio": "square",
    "show_asset_name_in_reel_layout": false,
    "captions_enabled": true,
    "transcripts_enabled": true,
    "reel_card_fit_image": false,
    "open_in_viewer_enabled": true,
    "accent_color": "#FF0000",
    "layout": "grid",
    "show_all_asset_versions": true,
    "name_column_width": null,
    "thumbnail_scale": "fill",
    "title_line_count": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/37b84d8e-22f0-41a5-a664-9542565ae7ba/projects/ebfcfd6b-155c-440f-b9f7-42fc9d11155c/shares"

payload = { "data": {
        "type": "asset",
        "access": "public",
        "name": "Share Name",
        "accent_color": "#FF6600",
        "asset_ids": ["2200ce88-4b87-4ed4-9f65-2ef27f9bc4ca", "b2559851-a96c-4480-a526-e9e4c8629ea2"],
        "captions_enabled": True,
        "card_aspect_ratio": "square",
        "card_info_enabled": True,
        "card_size": "medium",
        "commenting_enabled": True,
        "downloading_enabled": True,
        "drm_enabled": False,
        "editable_fields_enabled": False,
        "enabled": True,
        "expiration": "2026-10-05T19:46:03.135828Z",
        "featured_field_definition_id": "27f50162-404a-42f6-b8fb-0571b806ae99",
        "forensic_watermark_enabled": False,
        "layout": "grid",
        "open_in_viewer_enabled": True,
        "passphrase": "as!dfj39sd(*",
        "show_all_asset_versions": True,
        "sort_by": {
            "direction": "asc",
            "field_definition_id": "dce1cc74-8603-455a-93ad-c4c4c2d64d6d"
        },
        "theme": "dark",
        "thumbnail_scale": "fill",
        "title_line_count": 1,
        "transcripts_enabled": True,
        "visible_field_definition_ids": ["5fd25dd6-5745-4da9-a9eb-ac61dee64b3f"],
        "watermark_enabled": True,
        "watermark_template_id": "9fe7f42f-ccd9-446c-97d0-b36773b027b1"
    } }
headers = {
    "api-version": "experimental",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/37b84d8e-22f0-41a5-a664-9542565ae7ba/projects/ebfcfd6b-155c-440f-b9f7-42fc9d11155c/shares';
const options = {
  method: 'POST',
  headers: {
    'api-version': 'experimental',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"data":{"type":"asset","access":"public","name":"Share Name","accent_color":"#FF6600","asset_ids":["2200ce88-4b87-4ed4-9f65-2ef27f9bc4ca","b2559851-a96c-4480-a526-e9e4c8629ea2"],"captions_enabled":true,"card_aspect_ratio":"square","card_info_enabled":true,"card_size":"medium","commenting_enabled":true,"downloading_enabled":true,"drm_enabled":false,"editable_fields_enabled":false,"enabled":true,"expiration":"2026-10-05T19:46:03.135828Z","featured_field_definition_id":"27f50162-404a-42f6-b8fb-0571b806ae99","forensic_watermark_enabled":false,"layout":"grid","open_in_viewer_enabled":true,"passphrase":"as!dfj39sd(*","show_all_asset_versions":true,"sort_by":{"direction":"asc","field_definition_id":"dce1cc74-8603-455a-93ad-c4c4c2d64d6d"},"theme":"dark","thumbnail_scale":"fill","title_line_count":1,"transcripts_enabled":true,"visible_field_definition_ids":["5fd25dd6-5745-4da9-a9eb-ac61dee64b3f"],"watermark_enabled":true,"watermark_template_id":"9fe7f42f-ccd9-446c-97d0-b36773b027b1"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/37b84d8e-22f0-41a5-a664-9542565ae7ba/projects/ebfcfd6b-155c-440f-b9f7-42fc9d11155c/shares"

	payload := strings.NewReader("{\n  \"data\": {\n    \"type\": \"asset\",\n    \"access\": \"public\",\n    \"name\": \"Share Name\",\n    \"accent_color\": \"#FF6600\",\n    \"asset_ids\": [\n      \"2200ce88-4b87-4ed4-9f65-2ef27f9bc4ca\",\n      \"b2559851-a96c-4480-a526-e9e4c8629ea2\"\n    ],\n    \"captions_enabled\": true,\n    \"card_aspect_ratio\": \"square\",\n    \"card_info_enabled\": true,\n    \"card_size\": \"medium\",\n    \"commenting_enabled\": true,\n    \"downloading_enabled\": true,\n    \"drm_enabled\": false,\n    \"editable_fields_enabled\": false,\n    \"enabled\": true,\n    \"expiration\": \"2026-10-05T19:46:03.135828Z\",\n    \"featured_field_definition_id\": \"27f50162-404a-42f6-b8fb-0571b806ae99\",\n    \"forensic_watermark_enabled\": false,\n    \"layout\": \"grid\",\n    \"open_in_viewer_enabled\": true,\n    \"passphrase\": \"as!dfj39sd(*\",\n    \"show_all_asset_versions\": true,\n    \"sort_by\": {\n      \"direction\": \"asc\",\n      \"field_definition_id\": \"dce1cc74-8603-455a-93ad-c4c4c2d64d6d\"\n    },\n    \"theme\": \"dark\",\n    \"thumbnail_scale\": \"fill\",\n    \"title_line_count\": 1,\n    \"transcripts_enabled\": true,\n    \"visible_field_definition_ids\": [\n      \"5fd25dd6-5745-4da9-a9eb-ac61dee64b3f\"\n    ],\n    \"watermark_enabled\": true,\n    \"watermark_template_id\": \"9fe7f42f-ccd9-446c-97d0-b36773b027b1\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-version", "experimental")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/37b84d8e-22f0-41a5-a664-9542565ae7ba/projects/ebfcfd6b-155c-440f-b9f7-42fc9d11155c/shares")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-version"] = 'experimental'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"type\": \"asset\",\n    \"access\": \"public\",\n    \"name\": \"Share Name\",\n    \"accent_color\": \"#FF6600\",\n    \"asset_ids\": [\n      \"2200ce88-4b87-4ed4-9f65-2ef27f9bc4ca\",\n      \"b2559851-a96c-4480-a526-e9e4c8629ea2\"\n    ],\n    \"captions_enabled\": true,\n    \"card_aspect_ratio\": \"square\",\n    \"card_info_enabled\": true,\n    \"card_size\": \"medium\",\n    \"commenting_enabled\": true,\n    \"downloading_enabled\": true,\n    \"drm_enabled\": false,\n    \"editable_fields_enabled\": false,\n    \"enabled\": true,\n    \"expiration\": \"2026-10-05T19:46:03.135828Z\",\n    \"featured_field_definition_id\": \"27f50162-404a-42f6-b8fb-0571b806ae99\",\n    \"forensic_watermark_enabled\": false,\n    \"layout\": \"grid\",\n    \"open_in_viewer_enabled\": true,\n    \"passphrase\": \"as!dfj39sd(*\",\n    \"show_all_asset_versions\": true,\n    \"sort_by\": {\n      \"direction\": \"asc\",\n      \"field_definition_id\": \"dce1cc74-8603-455a-93ad-c4c4c2d64d6d\"\n    },\n    \"theme\": \"dark\",\n    \"thumbnail_scale\": \"fill\",\n    \"title_line_count\": 1,\n    \"transcripts_enabled\": true,\n    \"visible_field_definition_ids\": [\n      \"5fd25dd6-5745-4da9-a9eb-ac61dee64b3f\"\n    ],\n    \"watermark_enabled\": true,\n    \"watermark_template_id\": \"9fe7f42f-ccd9-446c-97d0-b36773b027b1\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.frame.io/v4/accounts/37b84d8e-22f0-41a5-a664-9542565ae7ba/projects/ebfcfd6b-155c-440f-b9f7-42fc9d11155c/shares")
  .header("api-version", "experimental")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"type\": \"asset\",\n    \"access\": \"public\",\n    \"name\": \"Share Name\",\n    \"accent_color\": \"#FF6600\",\n    \"asset_ids\": [\n      \"2200ce88-4b87-4ed4-9f65-2ef27f9bc4ca\",\n      \"b2559851-a96c-4480-a526-e9e4c8629ea2\"\n    ],\n    \"captions_enabled\": true,\n    \"card_aspect_ratio\": \"square\",\n    \"card_info_enabled\": true,\n    \"card_size\": \"medium\",\n    \"commenting_enabled\": true,\n    \"downloading_enabled\": true,\n    \"drm_enabled\": false,\n    \"editable_fields_enabled\": false,\n    \"enabled\": true,\n    \"expiration\": \"2026-10-05T19:46:03.135828Z\",\n    \"featured_field_definition_id\": \"27f50162-404a-42f6-b8fb-0571b806ae99\",\n    \"forensic_watermark_enabled\": false,\n    \"layout\": \"grid\",\n    \"open_in_viewer_enabled\": true,\n    \"passphrase\": \"as!dfj39sd(*\",\n    \"show_all_asset_versions\": true,\n    \"sort_by\": {\n      \"direction\": \"asc\",\n      \"field_definition_id\": \"dce1cc74-8603-455a-93ad-c4c4c2d64d6d\"\n    },\n    \"theme\": \"dark\",\n    \"thumbnail_scale\": \"fill\",\n    \"title_line_count\": 1,\n    \"transcripts_enabled\": true,\n    \"visible_field_definition_ids\": [\n      \"5fd25dd6-5745-4da9-a9eb-ac61dee64b3f\"\n    ],\n    \"watermark_enabled\": true,\n    \"watermark_template_id\": \"9fe7f42f-ccd9-446c-97d0-b36773b027b1\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.frame.io/v4/accounts/37b84d8e-22f0-41a5-a664-9542565ae7ba/projects/ebfcfd6b-155c-440f-b9f7-42fc9d11155c/shares', [
  'body' => '{
  "data": {
    "type": "asset",
    "access": "public",
    "name": "Share Name",
    "accent_color": "#FF6600",
    "asset_ids": [
      "2200ce88-4b87-4ed4-9f65-2ef27f9bc4ca",
      "b2559851-a96c-4480-a526-e9e4c8629ea2"
    ],
    "captions_enabled": true,
    "card_aspect_ratio": "square",
    "card_info_enabled": true,
    "card_size": "medium",
    "commenting_enabled": true,
    "downloading_enabled": true,
    "drm_enabled": false,
    "editable_fields_enabled": false,
    "enabled": true,
    "expiration": "2026-10-05T19:46:03.135828Z",
    "featured_field_definition_id": "27f50162-404a-42f6-b8fb-0571b806ae99",
    "forensic_watermark_enabled": false,
    "layout": "grid",
    "open_in_viewer_enabled": true,
    "passphrase": "as!dfj39sd(*",
    "show_all_asset_versions": true,
    "sort_by": {
      "direction": "asc",
      "field_definition_id": "dce1cc74-8603-455a-93ad-c4c4c2d64d6d"
    },
    "theme": "dark",
    "thumbnail_scale": "fill",
    "title_line_count": 1,
    "transcripts_enabled": true,
    "visible_field_definition_ids": [
      "5fd25dd6-5745-4da9-a9eb-ac61dee64b3f"
    ],
    "watermark_enabled": true,
    "watermark_template_id": "9fe7f42f-ccd9-446c-97d0-b36773b027b1"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'api-version' => 'experimental',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/37b84d8e-22f0-41a5-a664-9542565ae7ba/projects/ebfcfd6b-155c-440f-b9f7-42fc9d11155c/shares");
var request = new RestRequest(Method.POST);
request.AddHeader("api-version", "experimental");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"type\": \"asset\",\n    \"access\": \"public\",\n    \"name\": \"Share Name\",\n    \"accent_color\": \"#FF6600\",\n    \"asset_ids\": [\n      \"2200ce88-4b87-4ed4-9f65-2ef27f9bc4ca\",\n      \"b2559851-a96c-4480-a526-e9e4c8629ea2\"\n    ],\n    \"captions_enabled\": true,\n    \"card_aspect_ratio\": \"square\",\n    \"card_info_enabled\": true,\n    \"card_size\": \"medium\",\n    \"commenting_enabled\": true,\n    \"downloading_enabled\": true,\n    \"drm_enabled\": false,\n    \"editable_fields_enabled\": false,\n    \"enabled\": true,\n    \"expiration\": \"2026-10-05T19:46:03.135828Z\",\n    \"featured_field_definition_id\": \"27f50162-404a-42f6-b8fb-0571b806ae99\",\n    \"forensic_watermark_enabled\": false,\n    \"layout\": \"grid\",\n    \"open_in_viewer_enabled\": true,\n    \"passphrase\": \"as!dfj39sd(*\",\n    \"show_all_asset_versions\": true,\n    \"sort_by\": {\n      \"direction\": \"asc\",\n      \"field_definition_id\": \"dce1cc74-8603-455a-93ad-c4c4c2d64d6d\"\n    },\n    \"theme\": \"dark\",\n    \"thumbnail_scale\": \"fill\",\n    \"title_line_count\": 1,\n    \"transcripts_enabled\": true,\n    \"visible_field_definition_ids\": [\n      \"5fd25dd6-5745-4da9-a9eb-ac61dee64b3f\"\n    ],\n    \"watermark_enabled\": true,\n    \"watermark_template_id\": \"9fe7f42f-ccd9-446c-97d0-b36773b027b1\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-version": "experimental",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "type": "asset",
    "access": "public",
    "name": "Share Name",
    "accent_color": "#FF6600",
    "asset_ids": ["2200ce88-4b87-4ed4-9f65-2ef27f9bc4ca", "b2559851-a96c-4480-a526-e9e4c8629ea2"],
    "captions_enabled": true,
    "card_aspect_ratio": "square",
    "card_info_enabled": true,
    "card_size": "medium",
    "commenting_enabled": true,
    "downloading_enabled": true,
    "drm_enabled": false,
    "editable_fields_enabled": false,
    "enabled": true,
    "expiration": "2026-10-05T19:46:03.135828Z",
    "featured_field_definition_id": "27f50162-404a-42f6-b8fb-0571b806ae99",
    "forensic_watermark_enabled": false,
    "layout": "grid",
    "open_in_viewer_enabled": true,
    "passphrase": "as!dfj39sd(*",
    "show_all_asset_versions": true,
    "sort_by": [
      "direction": "asc",
      "field_definition_id": "dce1cc74-8603-455a-93ad-c4c4c2d64d6d"
    ],
    "theme": "dark",
    "thumbnail_scale": "fill",
    "title_line_count": 1,
    "transcripts_enabled": true,
    "visible_field_definition_ids": ["5fd25dd6-5745-4da9-a9eb-ac61dee64b3f"],
    "watermark_enabled": true,
    "watermark_template_id": "9fe7f42f-ccd9-446c-97d0-b36773b027b1"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/37b84d8e-22f0-41a5-a664-9542565ae7ba/projects/ebfcfd6b-155c-440f-b9f7-42fc9d11155c/shares")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```